#!/bin/bash

BRIDGEDIR="$1/dspbridge"
KERNELDIR="$2"

if test ! -d $BRIDGEDIR; then 
	{ echo "Bridge Directory not found."; exit 1; }
fi

if test ! -d $KERNELDIR; then 
	{ echo "Linux Kernel Directory not found."; exit 1; }
fi

cd $BRIDGEDIR
pushd .

cd testmpu/src

make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel CMDDEFS='DEBUG' TESTSUITEROOT=$BRIDGEDIR/testmpu TESTSUITEOSALROOT=$BRIDGEDIR/testmpu/src/OSAL MAKEROOT=$BRIDGEDIR/testmpu/make clean 
make PREFIX=$BRIDGEDIR KRNLSRC=$KERNELDIR  TGTROOT=$BRIDGEDIR BUILD=rel CMDDEFS='DEBUG' TESTSUITEROOT=$BRIDGEDIR/testmpu TESTSUITEOSALROOT=$BRIDGEDIR/testmpu/src/OSAL MAKEROOT=$BRIDGEDIR/testmpu/make 
popd
