/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *  ============================================================================
 *   File    os.h
 *
 *   Path    $(TESTSUITEROOT)\OSAL\include
 * 
 *   Desc:
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *!   ============================================================================
 *!   Revision History
 *!
 *!   NOV xx, 2002    REF=ORG             Raghu
 *!      Original Version.
 *!   ============================================================================
 */

#ifndef DEF_LINUX_
#define DEF_LINUX_
#endif

/*------------------------------ WINCE ---------------------------------------*/
#if defined(DEF_WINCE_)

#include <windows.h>

#endif /* defined(DEF_WINCE_) */

/*------------------------------ WINCE ---------------------------------------*/


/*------------------------------ LINUX -------------------------------------*/
#if defined(DEF_LINUX_)

#ifdef __KERNEL__
#include <linux/kernel.h>
#include <linux/slab.h>
#else
#include <stdio.h>
#include <pthread.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/wait.h>
#include <sys/types.h>
#include <sys/timeb.h>
#include <string.h>
#endif

/*------------------------------ LINUX -------------------------------------*/
#endif /* defined(DEF_LINUX_) */

