/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    DSPStreamTST.h
 *
 *   Path    $(TESTSUITEROOT)\TestAPI\apitst\DSPStreamTST.h
 * 
 *   Desc:
 *           Header file for DSPStream_ API test case related functions.
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL xx, 2002    REF=ORG             Swamy MC
 *      Original Version.
 *   ============================================================================
 */


/*
 *  ======= DSPStream_Open_API ========
 *
 */
INT DSPStream_Open_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_GetInfo_API ========
 *
 */
INT DSPStream_GetInfo_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_AllocateBuffers_API ========
 *
 */
INT DSPStream_AllocateBuffers_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_FreeBuffers_API ========
 *
 */
INT DSPStream_FreeBuffers_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_Issue_API ========
 *
 */
INT DSPStream_Issue_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_Reclaim_API ========
 *
 */
INT DSPStream_Reclaim_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_Select_API ========
 *
 */
INT DSPStream_Select_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_RegisterNotify_API ========
 *
 */
INT DSPStream_RegisterNotify_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_Idle_API ========
 *
 */
INT DSPStream_Idle_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_Close_API ========
 *
 */
INT DSPStream_Close_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_PrepareBuffer_API ========
 *
 */
INT DSPStream_PrepareBuffer_API(INT argc, CHAR *argv[]);

/*
 *  ======= DSPStream_UnprepareBuffer_API ========
 *
 */
INT DSPStream_UnprepareBuffer_API(INT argc, CHAR *argv[]);

