#!/bin/bash

KERNELDIR="$1/linux/kernel_org/2.6_kernel"
OMAPVER="omap_3410sdp_defconfig"
IMAGE="uImage"

if test ! -d $KERNELDIR; then 
	{ echo "Linux Kernel Directory not found."; exit 1; }
fi
pushd . > /dev/null
cd $KERNELDIR
make distclean && make $OMAPVER && make $IMAGE && make modules || { echo "Error at compiling Linux Kernel"; exit 1; }
popd
